%define pkgname Kolab-Mailer
%define snap 20050801

Summary:	Kolab::Mailer - Perl extension for sending out email
Name:		perl-%{pkgname}
Version:	0.9.3
Release:	0.%{snap}.1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source0:	%{pkgname}-%{version}-%{snap}.tar.bz2
BuildRequires:	perl-devel
BuildPreReq:	perl
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Kolab::Mailer allows callers to send out various types of
email, namely plain, multipart & binary through sendmail.

%prep

%setup -q -n %{pkgname}-%{version}-%{snap}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
# cleanup
for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# fix config file location
perl -pi -e "s|^require \"config\.h\"\;|require \"%{_sysconfdir}/kolab/config\.h\"\;|g" *.pm

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Kolab/Mailer.pm
%{_mandir}/*/*

%changelog
* Mon Aug 01 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-0.20050801.1mdk
- use a cvs snap instead

* Tue Jul 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-3mdk
- added P0 from CVS

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-2mdk
- fix path to sendmail

* Wed Jul 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- initial Mandriva package
